Bullet Collision Detection & Physics Library: btConstraintSolver Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
btConstraintSolver Class Referenceabstract

`#include <btConstraintSolver.h>`

Inheritance diagram for btConstraintSolver:
[legend]

## Public Member Functions
virtual | ~btConstraintSolver ()
virtual void | prepareSolve (int, int)
virtual btScalar | solveGroup (btCollisionObject **bodies, int numBodies, btPersistentManifold **manifold, int numManifolds, btTypedConstraint **constraints, int numConstraints, const btContactSolverInfo &info, class btIDebugDraw *debugDrawer, btDispatcher *dispatcher)=0
| solve a group of constraints
virtual void | allSolved (const btContactSolverInfo &, class btIDebugDraw *)
virtual void | reset ()=0
| clear internal cached data and reset random seed
virtual btConstraintSolverType | getSolverType () const =0

## Detailed Description

Definition at line 41 of file btConstraintSolver.h.

## Constructor & Destructor Documentation

## ◆ ~btConstraintSolver()

virtual btConstraintSolver::~btConstraintSolver | ( |  | ) |
| inlinevirtual

Definition at line 44 of file btConstraintSolver.h.

## Member Function Documentation

## ◆ allSolved()

virtual void btConstraintSolver::allSolved | ( | const btContactSolverInfo & | ,
|  | class btIDebugDraw * |
| ) |  |
| inlinevirtual

Definition at line 51 of file btConstraintSolver.h.

## ◆ getSolverType()

virtual btConstraintSolverType btConstraintSolver::getSolverType | ( |  | ) | const
| pure virtual

Implemented in btNNCGConstraintSolver, btSequentialImpulseConstraintSolver, btMultiBodyMLCPConstraintSolver, btMLCPSolver, and btConstraintSolverPoolMt.

## ◆ prepareSolve()

virtual void btConstraintSolver::prepareSolve | ( | int | ,
|  | int |
| ) |  |
| inlinevirtual

Definition at line 46 of file btConstraintSolver.h.

## ◆ reset()

virtual void btConstraintSolver::reset | ( |  | ) |
| pure virtual

clear internal cached data and reset random seed

Implemented in btSequentialImpulseConstraintSolver, and btConstraintSolverPoolMt.

## ◆ solveGroup()

virtual btScalar btConstraintSolver::solveGroup | ( | btCollisionObject ** | bodies,
|  | int | numBodies,
|  | btPersistentManifold ** | manifold,
|  | int | numManifolds,
|  | btTypedConstraint ** | constraints,
|  | int | numConstraints,
|  | const btContactSolverInfo & | info,
|  | class btIDebugDraw * | debugDrawer,
|  | btDispatcher * | dispatcher
| ) |  |
| pure virtual

solve a group of constraints

Implemented in btSequentialImpulseConstraintSolver, btMultiBodyConstraintSolver, and btConstraintSolverPoolMt.

The documentation for this class was generated from the following file:

- btConstraintSolver.h